package co.pixelbeard.theanfieldwrap.freeSubscription;

import co.pixelbeard.theanfieldwrap.utils.BaseView;

public interface SubscriptionContract {

    interface View extends BaseView<SubscriptionContract.Presenter> {
        void onActiveSubscription(ActiveSubscriptionResponse response);
        void onActivePaidSubscription(ActiveSubscriptionResponse response);
        void showActivateError(String message);
    }

    interface Presenter{
        void activatePaidSubscription(String subscription_plan,String planType, int duration, String purchaseToken);
    }
}
